← OBPdynamic-entity Get liability_choice by id GET /obp/dynamic-entity/banks/ogcr/liability_choice/LIABILITY_CHOICE_ID OBPv4.0.0-dynamicEntity_getSingleliability_choice_ogcr Roles: CanGetDynamicEntityRecord_liability_choice(per bank) _Liability_choice(ogcr)Dynamic-EntityDynamic Get liability_choice by id. Records which liability mechanism applies to an activity for addressing reversals during its monitoring period. This Dynamic Entity is part of OGCR. Property List: liability_choice_id: Internal identifier for the liability choice liability_mechanism_type: buffer_pool, insurance or individual_liability operator_id: Natural or legal person liable to address reversals (Annex II(s)) insurance_policy_reference: Policy number. Only if insurance is chosen. effective_date: Date from which the mechanism applies MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"liability_choice" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example success response { "bank_id": "ogcr", "liability_choice": { "liability_choice_id": "string", "activity_id": "string", "liability_mechanism_type": "string", "operator_id": "string", "insurance_policy_reference": "string", "effective_date": "2020-01-01" } } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.